<template>
  <div class="fa-card-a" shadow="never">
    <div class="mod-message__mail-log">
      <zt-table-wraper v-slot="{ table }" delete-url="/sys/maillog" query-url="/sys/maillog/page">
            <el-form :inline="true" :model="dataForm" @keyup.enter.native="table.query()">
              <el-form-item style="margin-top: 2px;margin-left: 10px">
                <el-input v-model="dataForm.templateId" :placeholder="$t('mail.templateId')" clearable></el-input>
              </el-form-item>
              <el-form-item>
                <el-input v-model="dataForm.mailTo" :placeholder="$t('mail.mailTo')" clearable></el-input>
              </el-form-item>
              <el-form-item>
                <el-select v-model="dataForm.status" :placeholder="$t('mail.status')" clearable>
                  <el-option :label="$t('mail.status1')" :value="1"></el-option>
                  <el-option :label="$t('mail.status0')" :value="0"></el-option>
                </el-select>
              </el-form-item>
              <el-form-item class="message-btn">
                <zt-button type="query" @click="table.query()"/>
                <zt-button type="delete" @click="table.deleteHandle()"/>
              </el-form-item>
            </el-form>
            <el-table v-adaptive="{bottomOffset:70}"
                      v-loading="table.dataLoading"
                      :data="table.dataList"
                      style="margin-top: 10px"
                      border height="100px" @selection-change="table.selectionChangeHandle"
                      @sort-change="table.sortChangeHandle">
              <el-table-column type="selection" width="40"/>
              <el-table-column :label="$t('mail.templateId')" prop="templateId" sortable="custom"/>
              <el-table-column :label="$t('mail.mailFrom')" prop="mailFrom"/>
              <el-table-column :label="$t('mail.mailTo')" prop="mailTo"/>
              <el-table-column :label="$t('mail.mailCc')" prop="mailCc"/>
              <el-table-column :label="$t('mail.subject')" prop="subject"/>
              <el-table-column :label="$t('mail.status')" prop="status" sortable="custom">
                <template v-slot="{ row }">
                  <el-tag v-if="row.status === 1" size="small">{{ $t('mail.status1') }}</el-tag>
                  <el-tag v-else size="small" type="danger">{{ $t('mail.status0') }}</el-tag>
                </template>
              </el-table-column>
              <el-table-column :label="$t('mail.createDate')" prop="createDate" sortable="custom" width="180"/>
              <zt-table-column-handle :has-eidt="false" :table="table"/>
            </el-table>
      </zt-table-wraper>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      dataForm: {
        templateId: '',
        mailTo: '',
        status: null
      }
    }
  }
}
</script>
